Bug 11235 - Names for reports and dictionary are cut off when quotes are used
Summary: Names for reports and dictionary are cut off when quotes are used
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-11 11:07 UTC by Katrin Fischer
Modified: 2017-07-31 11:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11235: Names for reports and dictionary are cut off when quotes are used (8.98 KB, patch)
2017-06-04 18:04 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11235: Names for reports and dictionary are cut off when quotes are used (9.69 KB, patch)
2017-06-04 18:10 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11235: Names for reports and dictionary are cut off when quotes are used (9.75 KB, patch)
2017-06-09 16:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11235: Names for reports and dictionary are cut off when quotes are used (9.79 KB, patch)
2017-06-15 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-11-11 11:07:34 UTC
If you use quotes in your report name, the report name is cut off just before the quotes. My example was:

Benutzer mit "fehlgeschlagenen" Benachrichtigungen (Patrons with 'failed' notices).

The report name saved as: Benutze mit
Comment 1 Marc Véron 2017-06-04 16:52:17 UTC
To reproduce for saved reports:

- Go to Home > Reports > Guided reports wizard
- Create a report with double quotes in it's name, e.g. 'My "double quoted" report'
- Go to "Saved reports", locate in the list the new report (name is correct here, is correct in database as well)
- From the selection button at the right choose "Edit"
- Result: Content of edit field for the report name is truncated (displays only: 'My')

To reproduce for Reports dictionary:

- Go to Home > Reports > Guided reports wizard
- Create a new definition, give it the name 'The "double quoted" definition' and enter a text with double quotes for "Description"
- Save
- Verify that in the list of definitions both name and descriptions are truncated (in database as well)
Comment 2 Marc Véron 2017-06-04 18:04:35 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2017-06-04 18:10:18 UTC
Created attachment 63954 [details] [review]
Bug 11235: Names for reports and dictionary are cut off when quotes are used

To reproduce for saved reports:

- Go to Home > Reports > Guided reports wizard
- Create a report with double quotes in it's name, e.g. 'My "double quoted" report'
- Go to "Saved reports", locate in the list the new report (name is correct here,
  is correct in database as well)
- From the selection button at the right choose "Edit"
- Result: Content of edit field for the report name is truncated (displays only: 'My')

To reproduce for Reports dictionary:

- Go to Home > Reports > Guided reports wizard
- Create a new definition, give it the name 'The "double quoted" definition' and enter
  a text with double quotes for "Description"
- Save
- Verify that in the list of definitions both name and descriptions are truncated
  (in database as well)

To test:
- Apply patch
- Verify that issues described above can no longer be reproduced
Comment 4 Owen Leonard 2017-06-09 16:38:37 UTC
Created attachment 64164 [details] [review]
[SIGNED-OFF] Bug 11235: Names for reports and dictionary are cut off when quotes are used

To reproduce for saved reports:

- Go to Home > Reports > Guided reports wizard
- Create a report with double quotes in it's name, e.g. 'My "double quoted" report'
- Go to "Saved reports", locate in the list the new report (name is correct here,
  is correct in database as well)
- From the selection button at the right choose "Edit"
- Result: Content of edit field for the report name is truncated (displays only: 'My')

To reproduce for Reports dictionary:

- Go to Home > Reports > Guided reports wizard
- Create a new definition, give it the name 'The "double quoted" definition' and enter
  a text with double quotes for "Description"
- Save
- Verify that in the list of definitions both name and descriptions are truncated
  (in database as well)

To test:
- Apply patch
- Verify that issues described above can no longer be reproduced

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Kyle M Hall 2017-06-15 13:42:26 UTC
Created attachment 64324 [details] [review]
Bug 11235: Names for reports and dictionary are cut off when quotes are used

To reproduce for saved reports:

- Go to Home > Reports > Guided reports wizard
- Create a report with double quotes in it's name, e.g. 'My "double quoted" report'
- Go to "Saved reports", locate in the list the new report (name is correct here,
  is correct in database as well)
- From the selection button at the right choose "Edit"
- Result: Content of edit field for the report name is truncated (displays only: 'My')

To reproduce for Reports dictionary:

- Go to Home > Reports > Guided reports wizard
- Create a new definition, give it the name 'The "double quoted" definition' and enter
  a text with double quotes for "Description"
- Save
- Verify that in the list of definitions both name and descriptions are truncated
  (in database as well)

To test:
- Apply patch
- Verify that issues described above can no longer be reproduced

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-06-15 19:07:10 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-06-27 14:19:30 UTC
Pushed to 17.05.x, will be in 17.05.02
Comment 8 Katrin Fischer 2017-06-27 21:32:34 UTC
This patch has been pushed to 16.11.x and will be in 16.11.10.
Comment 9 Mason James 2017-07-31 11:26:39 UTC
Pushed to 16.05.x, for 16.05.15 release